Bug 681750 - No Language Selection/Language List in GDM
No Language Selection/Language List in GDM
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-03 01:38 EST by A S Alam
Modified: 2015-02-17 08:39 EST (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:39:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 671528 None None None Never

  None (edit)
Description A S Alam 2011-03-03 01:38:14 EST
Description of problem:
there is no Language Selection in GDM. Specially in Live ISO, it can be very helpful to allow language selection.

Version-Release number of selected component (if applicable):
gdm-2.91.91-1.fc15.x86_64
anaconda-15.20.1-1.fc15

How reproducible:
Everytime

Steps to Reproduce:
1. run gdm from installed system or boot from Live ISO
2. 
3.
  
Actual results:
No language selection in GDM

Expected results:
there can be language selection

Additional info:
Comment 1 Vitezslav Humpa 2011-03-03 11:04:35 EST
I second this bug with gdm-2.91.91-1.fc15.x86_64, running in a fallback mode.
Comment 2 Adam Williamson 2011-05-06 16:13:19 EDT
so, per Ray, this is a design choice, but desktop team recognize that expecting language choice on live sessions to be done manually by drilling down into control center kind of sucks, and it would be better to have a prompt on first login or something similar, but that's f16 timeframe stuff, this won't change for f15.

adding commonbugs keyword so we at least document this for release.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Adam Williamson 2011-05-24 10:49:51 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Fedora Admin XMLRPC Client 2011-06-21 11:28:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-06-21 11:30:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-06-21 11:33:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-06-21 11:36:01 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2011-06-21 11:42:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2011-06-21 11:46:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:48:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Fedora Admin XMLRPC Client 2011-06-21 11:50:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2011-06-21 11:52:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Enrique 2011-08-09 04:26:38 EDT
 The given work-around doesn't work if you use other desktop, like XFCE. I have no way to specify my language. Note that in my case the language of choice for some users is not the same as the system language default.
Comment 14 Cong Ma 2011-11-12 08:48:44 EST
(In reply to comment #13)
>  The given work-around doesn't work if you use other desktop, like XFCE. I have
> no way to specify my language. Note that in my case the language of choice for
> some users is not the same as the system language default.

Seconded for the XFCE point.

Still not fixed in F16 (I'm using the XFCE spin).
Comment 15 Adam Williamson 2011-11-15 15:50:34 EST
gdm devs would suggest the fix there is for Xfce to implement a language selector, I think.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Jens Petersen 2011-11-15 19:57:05 EST
I think this missing feature is pretty important:
I have seen plenty of people complaining about it.

The current Gnome UX doesn't make sense IMHO -
you have to login, somehow manage to find
the language list (which may be non-trivial
if English or the system language is not your
native language: the fact that the language list
only shows the translated names doesn't help),
log out again, and then login one more time to your desktop.
For most other desktops this not even possible.

Gdm doesn't seem to respect ~/.i18n any more either
(which was ok for gdm2) so that workaround is not
available either.

User keyboard layout selection is also another important lost feature.
Comment 17 Cong Ma 2011-11-16 00:46:25 EST
(In reply to comment #16)
> you have to login, somehow manage to find
> the language list (which may be non-trivial
> if English or the system language is not your
> native language: the fact that the language list
> only shows the translated names doesn't help),
> log out again, and then login one more time to your desktop.
> For most other desktops this not even possible.

The worse thing is that you totally lose the functionality of per-user setting of languages.  Currently, the language setting tool affects all users, forcing them to use the same language.
Comment 18 Adam Williamson 2011-11-16 01:37:16 EST
cong: that's not accurate for the GNOME case. The GNOME tool can (or at least is _designed to be able to_; it seems to be buggy) set per-user and system language separately. system-config-language can't, but GNOME isn't designed to use s-c-l.

the Xfce case is obviously different, though.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Rick 2011-11-20 13:45:01 EST
I have Fedora 16 and Gnome 3, and have this issue at login.  The default keymap for the system and myself is Dvorak.  For my wife it's US English.  

The layout is set to us-english in her account, but the login screen still forces Dvorak and there is no way to select an alternate layout for that account like there was in Gnome2.
Comment 20 Jens Petersen 2011-11-20 22:44:56 EST
Rich, the keyboard bug is bug 752998.
Comment 21 Enrique 2011-11-29 08:47:02 EST
 I think that it is crucial that the language selection is at the login screen for two reasons:
 1) users of other desktops like xfce
 2) non-english-speaking users who are not able to navigate through the system menus in English to change their language preference.
 Regards,
 Enrique
Comment 22 Kevin Raymond 2011-12-01 17:43:29 EST
(In reply to comment #21)
>  I think that it is crucial that the language selection is at the login screen
> for two reasons:
>  1) users of other desktops like xfce
>  2) non-english-speaking users who are not able to navigate through the system
> menus in English to change their language preference.
>  Regards,
>  Enrique

I would say the same even for keybord (as gdm does not use the same config as the DE)
Comment 23 Jens Petersen 2012-02-28 21:20:54 EST
Ray, what is the plan for gnome-3.4 / Fedora 17?
Comment 24 Noriko Mizumoto 2012-03-06 06:29:23 EST
This is part of preparation for F17 L10N QA Test:
(https://fedoraproject.org/wiki/Test_Day:2012-03-07)

It is obvious that almost all l10n testers will give +1 to this bug to be fixed.
Another finding not mentioned yet is below.

3) When non-english speaking users can be lucky enough and reach the Applications->system tools->system settings->Region and language, it shows only four languages by default (British English, Chinese, English and Spanish).
Comment 25 Jens Petersen 2012-03-06 19:47:32 EST
(In reply to comment #24)
> 3) When non-english speaking users can be lucky enough and reach the
> Applications->system tools->system settings->Region and language, it shows only
> four languages by default (British English, Chinese, English and Spanish).

I agree, I would also like to see more major languages listed by default.
Comment 26 A S Alam 2012-03-07 01:27:25 EST
> It is obvious that almost all l10n testers will give +1 to this bug to be
> fixed.
> Another finding not mentioned yet is below.
> 
> 3) When non-english speaking users can be lucky enough and reach the
> Applications->system tools->system settings->Region and language, it shows only
> four languages by default (British English, Chinese, English and Spanish).

Bug filed upstream: https://bugzilla.gnome.org/show_bug.cgi?id=671530 for this issue.
Comment 27 Tamas Vincze 2012-04-13 10:38:21 EDT
I have a non-English-speaking guest and wanted to let her use my Fedora 16 XFCE desktop. There's no way to set a user-specific language and I don't want to change the system default.
Comment 28 Valentin Laskov 2012-12-06 10:10:54 EST
The initial bug comment of A S Alam 2011-03-03 01:38:14 EST is fully applicable for Fedora 18-alpha and 18-beta Live versions.
There was a workaround in Fedora 16 [1], but now I can´t see option like this.

[1] https://fedoraproject.org/wiki/Fedora_Quick_Install_Guide
Comment 29 John Paul Adrian Glaubitz 2012-12-06 10:16:32 EST
(In reply to comment #24)

> 3) When non-english speaking users can be lucky enough and reach the
> Applications->system tools->system settings->Region and language, it shows
> only four languages by default (British English, Chinese, English and
> Spanish).

Which basically means you're forcing people to use GNOME which is a no-go. Choosing your preferred desktop environment is a matter of personal taste and the display manager should not hamper this decision.

Many people prefer tiling window managers like "awesome", for example. These do not provide any means of configuring your language at all.

So, I think there should be absolutely no discussion about the language selector being reintegrated into gdm.
Comment 30 Fedora End Of Life 2013-04-03 13:25:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 32 Fedora End Of Life 2015-01-09 11:35:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 33 Fedora End Of Life 2015-02-17 08:39:59 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.